Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaForm

    java.lang.Object
      org.apache.ws.commons.schema.constants.Enum
          org.apache.ws.commons.schema.XmlSchemaForm

    public class XmlSchemaForm

extends Enum

Indicates if attributes or elements need to be qualified or left unqualified.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ws.commons.schema.constants.Enum
`Enum.EnumValueException`

Field Summary
`static java.lang.String` | `NONE`
`static java.lang.String` | `QUALIFIED`
`static java.lang.String` | `UNQUALIFIED`

Fields inherited from class org.apache.ws.commons.schema.constants.Enum
`NULL, value`

Constructor Summary
`XmlSchemaForm()` Creates new XmlSchemaForm
`XmlSchemaForm(java.lang.String value)`

Method Summary
`java.lang.String[]` | `getValues()`

Methods inherited from class org.apache.ws.commons.schema.constants.Enum
`equals, getValue, index, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QUALIFIED

    public static final java.lang.String QUALIFIED

See Also:
  Constant Field Values

### UNQUALIFIED

    public static final java.lang.String UNQUALIFIED

See Also:
  Constant Field Values

### NONE

    public static final java.lang.String NONE

See Also:
  Constant Field Values

Constructor Detail

### XmlSchemaForm

    public XmlSchemaForm()

  Creates new XmlSchemaForm

### XmlSchemaForm

    public XmlSchemaForm(java.lang.String value)

Method Detail

### getValues

    public java.lang.String[] getValues()

  Specified by:
    `getValues` in class `Enum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.